jvx.numeric

## Class PnHodgeU

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnFunction
    - - jvx.numeric.PnEnergy
      - - jvx.numeric.PnDiriEnergy
        - - jvx.numeric.PnHodgeU

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnHodgeU
      extends PnDiriEnergy

  Energy to obtain potential function u.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    05.09.00, 1.10 revised (ep) Boundary conditions on/off switch added.
    05.09.00, 1.05 revised (ep) m_gradFi changed to protected and added method `getGradFi`.
    27.03.00, 1.01 revised (ep) Boundary restrictions.
    24.11.99, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnHodgeU()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `eval(PdVector coord)` Compute energy of a coord vector using newly initialized stiffness matrix.
    `PdVector` | `evalGradient(PdVector coord, PdVector gradient)` Evaluate Area gradient of a coord vector using the stiffness matrix of a PnArea instance.
    `PdVector[][]` | `getGradFi()`
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `void` | `initSurface(PgElementSet domain, PgElementSet surface)` Method called from energyMinimizer.minimizeStep() to update the stiffness matrix after conjugate gradient method has returned.
    `boolean` | `setSurface(PgElementSet domain, PgElementSet surface)` Set domain and surface, and initialize energy structure.
    `void` | `setVectorField(PgVectorField vf)` Set vector field.

    - ### Methods inherited from class jvx.numeric.PnDiriEnergy

      `evalHessian`

    - ### Methods inherited from class jvx.numeric.PnEnergy

      `computeNormalizedHessian, getConstrain, getNumOfVariables, getSpectrum, getZeroGradientAtBounds, isEnabledConstrainMatrix, isUseConstrainMatrix, setConstrain, setEnabledConstrainMatrix, setUseConstrainMatrix, setZeroGradientAtBounds, testEigenvalues`

    - ### Methods inherited from class jvx.numeric.PnFunction

      `enableEvaluation, isEvaluable`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnHodgeU

          public PnHodgeU()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PnDiriEnergy`

    - #### initSurface

          public void initSurface(PgElementSet domain,
                                  PgElementSet surface)

      Method called from energyMinimizer.minimizeStep() to update the stiffness matrix after conjugate gradient method has returned. E.g. PnHodgeU should copy surface into domain if in iteration mode i.e. if dimension of domain and surface are equal.
      Overrides:
        `initSurface` in class `PnDiriEnergy`
      Version:
        02.08.00, 1.10 revised (kp) Initialization of m_stiffMatrix removed since done in superclass.

    - #### setSurface

          public boolean setSurface(PgElementSet domain,
                                    PgElementSet surface)

      Set domain and surface, and initialize energy structure. Method is called from outside whenever domain or surface has been updated.
      Overrides:
        `setSurface` in class `PnDiriEnergy`
      Parameters:
        `domain` - additional geometry used to specify maps
        `surface` - geometry which is usually optimized
      Version:
        02.08.00, 1.10 revised (kp) Creation of m_stiffMatrix removed since done in superclass.

    - #### setVectorField

          public void setVectorField(PgVectorField vf)

      Set vector field. Method is called from outside whenever vector field has been updated.

    - #### eval

          public double eval(PdVector coord)

      Compute energy of a coord vector using newly initialized stiffness matrix. Method uses the array m_store for intermediate storage and modifies its entries.
      Overrides:
        `eval` in class `PnEnergy`
      Parameters:
        `coord` - Coordinate vector with list of doubles
      Returns:
        double Energy of coordinate vector
      See Also:
        `PnEnergy`
      Author:
        Konrad Polthier
      Version:
        25.11.99, 1.00 created (kp) Derived from PnDiriEnergy.eval()

    - #### evalGradient

          public PdVector evalGradient(PdVector coord,
                                       PdVector gradient)

      Evaluate Area gradient of a coord vector using the stiffness matrix of a PnArea instance.
      Overrides:
        `evalGradient` in class `PnEnergy`
      Parameters:
        `coord` - Coordinate vector with list of doubles
        `gradient` - Gradient vector to be modified
      See Also:
        `PnEnergy`
      Author:
        Konrad Polthier
      Version:
        27.03.00, 1.01 revised (ep) Gradient is set to zero on boundary.
        25.11.99, 1.00 created (kp) Derived from PnDiriEnergy.evalGradient()

    - #### getGradFi

          public PdVector[][] getGradFi()

"

The software JavaView? is copyright protected. All Rights Reserved.
"